Package com.sixlegs.png

## Class PngConfig

- java.lang.Object
- - com.sixlegs.png.PngConfig

-     public final class PngConfig
      extends java.lang.Object

  Customizable parameters used by `PngImage` when decoding an image. Instances of this class are immutable and can only be constructed using the `PngConfig.Builder` inner-class.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PngConfig.Builder` | Builder class used to construct `PngConfig` instances.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `READ_ALL` | Read the entire image
    `static int` | `READ_EXCEPT_DATA` | Read the entire image, skipping over the image data
    `static int` | `READ_EXCEPT_METADATA` | Read the entire image, skipping over all non-critical chunks except tRNS and gAMA
    `static int` | `READ_HEADER` | Read only the header chunk
    `static int` | `READ_UNTIL_DATA` | Read all the metadata up to the image data

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `getConvertIndexed()` | Return sthe current indexed image conversion setting.
    `float` | `getDefaultGamma()` | Returns the current default gamma value.
    `float` | `getDisplayExponent()` | Returns the current display exponent.
    `boolean` | `getGammaCorrect()` | Returns the current gamma correction setting.
    `boolean` | `getProgressive()` | Returns the current progressive display setting.
    `int` | `getReadLimit()` | Returns the current read limit setting.
    `boolean` | `getReduce16()` | Returns the current 16-bit reduction setting.
    `java.awt.Rectangle` | `getSourceRegion()` | Returns the source region to be used.
    `int` | `getSourceXSubsampling()` | Returns the number of source columns to advance for each pixel.
    `int` | `getSourceYSubsampling()` | Returns the number of rows to advance for each pixel.
    `int` | `getSubsamplingXOffset()` | Returns the horizontal offset of the subsampling grid.
    `int` | `getSubsamplingYOffset()` | Returns the vertical offset of the subsampling grid.
    `boolean` | `getWarningsFatal()` | Returns whether warnings are treated as fatal errors.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### READ_ALL

          public static final int READ_ALL

      Read the entire image
      See Also:
        Constant Field Values

    - #### READ_HEADER

          public static final int READ_HEADER

      Read only the header chunk
      See Also:
        Constant Field Values

    - #### READ_UNTIL_DATA

          public static final int READ_UNTIL_DATA

      Read all the metadata up to the image data
      See Also:
        Constant Field Values

    - #### READ_EXCEPT_DATA

          public static final int READ_EXCEPT_DATA

      Read the entire image, skipping over the image data
      See Also:
        Constant Field Values

    - #### READ_EXCEPT_METADATA

          public static final int READ_EXCEPT_METADATA

      Read the entire image, skipping over all non-critical chunks except tRNS and gAMA
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getConvertIndexed

          public boolean getConvertIndexed()

      Return sthe current indexed image conversion setting.
      See Also:
        `PngConfig.Builder.convertIndexed`

    - #### getReduce16

          public boolean getReduce16()

      Returns the current 16-bit reduction setting.
      See Also:
        `PngConfig.Builder.reduce16`

    - #### getDefaultGamma

          public float getDefaultGamma()

      Returns the current default gamma value.
      See Also:
        `PngConfig.Builder.defaultGamma`

    - #### getGammaCorrect

          public boolean getGammaCorrect()

      Returns the current gamma correction setting.
      See Also:
        `PngConfig.Builder.gammaCorrect`

    - #### getProgressive

          public boolean getProgressive()

      Returns the current progressive display setting.
      See Also:
        `PngConfig.Builder.progressive`

    - #### getDisplayExponent

          public float getDisplayExponent()

      Returns the current display exponent.
      See Also:
        `PngConfig.Builder.displayExponent`

    - #### getReadLimit

          public int getReadLimit()

      Returns the current read limit setting.
      Returns:
        one of `READ_ALL`,
        `READ_HEADER`,
        `READ_UNTIL_DATA`,
        `READ_EXCEPT_DATA`,
        or `READ_EXCEPT_METADATA`
      See Also:
        `PngConfig.Builder.readLimit`

    - #### getWarningsFatal

          public boolean getWarningsFatal()

      Returns whether warnings are treated as fatal errors.
      See Also:
        `PngConfig.Builder.warningsFatal`

    - #### getSourceRegion

          public java.awt.Rectangle getSourceRegion()

      Returns the source region to be used.
      See Also:
        `PngConfig.Builder.sourceRegion`

    - #### getSourceXSubsampling

          public int getSourceXSubsampling()

      Returns the number of source columns to advance for each pixel.
      See Also:
        `PngConfig.Builder.sourceSubsampling(int, int, int, int)`

    - #### getSourceYSubsampling

          public int getSourceYSubsampling()

      Returns the number of rows to advance for each pixel.
      See Also:
        `PngConfig.Builder.sourceSubsampling(int, int, int, int)`

    - #### getSubsamplingXOffset

          public int getSubsamplingXOffset()

      Returns the horizontal offset of the subsampling grid.
      See Also:
        `PngConfig.Builder.sourceSubsampling(int, int, int, int)`

    - #### getSubsamplingYOffset

          public int getSubsamplingYOffset()

      Returns the vertical offset of the subsampling grid.
      See Also:
        `PngConfig.Builder.sourceSubsampling(int, int, int, int)`